Bug 287151 - Unentitled System cannot be entitled
Unentitled System cannot be entitled
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Corey Welton
https://rhn.redhat.com/rhn/systems/de...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-11 21:48 EDT by Peter Newman
Modified: 2012-06-20 12:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:09:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Newman 2007-09-11 21:48:31 EDT
Description of problem:

test-wren status has become unentitled.  I have tried deleting and
re-registering the profile in RHN but system does not have any entitlement?

Some background is that this machine is a VM in a VMware ESX environment.  It
lives on a completely isolated network for testing purposes and is a machine
cloned from wren (sid 1006970824).

The error message is below.  Possible cause is that the system shares a real IP
address with stork (sid 1007244564) for the sole purpose of doing system
updates.  Test-wren had existed for 6 months and was updated in this way until
it became unentitled with an event from event history:
Summary:  	removed system entitlement
Details: 	Management
Time: 	        24-AUG-07 

Further info from running "up2date-nox -u":
Error Message:
    Service not enabled for system profile: "test-wren"
Error Class Code: 31
Error Class Info: 
     This system does not have a valid entitlement for Red Hat Network.
     Please visit https://rhn.redhat.com/rhn/systems/SystemEntitlements.do
     or login at https://rhn.redhat.com, and from the "Your RHN" tab,
     select "Subscription Management" to enable RHN service for this system.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Peter Newman 2007-09-11 21:51:11 EDT
The link again to test-wren (was put in the link field originally but I can't
see it being referenced):
https://rhn.redhat.com/rhn/systems/details/Overview.do?sid=1007933207
Comment 3 RHEL Product and Program Management 2007-11-28 22:58:30 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Peter Newman 2007-11-28 23:16:54 EST
I've since deleted the profile for 1007933207.  I confirmed that SIDs can't
share the same ip address so simply allocated a separate IP address for these
servers for the purpose of updates.

The reason for this problem was that production machines were cloned in a VMware
ESX and put onto an isolated network.  When testing RHN updates I just used to
use a temporary IP address for each of the cloned machines (but something
changed on RHN to stop this) and bring up that interface on the real network. 
Now I have to use separate IP-addresses for each cloned VM even though I have
created new uuids and new profiles in RHN and am using separate licenses.

BTW activation keys are a pain when cloning VMs in RHEL5 although possible to
work around (there are legitimate reasons for doing this) even when you want to
use separate licenses.
Comment 5 Jiri Pallich 2012-06-20 12:09:09 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.